Subject: [Fot] K Cup '12 some Photos

From: "Chuck Arnold and/or Kathleen Kelley" <[email-masked]>
Date: Mon, 30 Apr 2012 09:52:15 -0700

I took over a thousand -- will spend a week editing and arranging.  Thought
To post a few.  they are at:
https://plus.google.com/u/0/photos/103241823961257430252/albums/5737230335039145089
.

My favorrite was the father and son team of Quinn [son] and Leigh Derby
driving insanely fast spits.  They came in 4/5th respectively -- with dad
having the fastest time -- in the 1:49 range -- just spectacular.  Randy
not only drove the TR3's wheels off, he finished the K Cup and immediately
jumped into his E Jag for the next race.  Immaculately prepared and
presented cars.  He did pass Mike Munson a couple of times  -- nad Mike is
a great driver of an SCCA prepared TR6.  The 75 car [Newman Tribute]
unfortunately crashed had into a wall on the esses during the fist
practice.  The strat was spectacular and if Jerry Barker's Spit had held
together we would have had a different order of finish -- he is the white
one in the start picture and came from 8th or so to 2nd on the front
straight [maybe 3rd, did not see what happened between he and Munson going
up the hill after turn 1.

Much more reporting to come.  Wish I got to drive, but sure appreciate
Henry getting me a media pass so I could roam the track taking pictures.

Chuck ['69 TR6]

On Mon, Apr 30, 2012 at 4:56 AM, Clark W. Nicholls <[email-masked]> wrote:

> John Hasty, TR-3, should get a "Hard Charger" or "most fun" award!
> He started at the rear since the grid was based on the morning Qualifying
> session only and his "let's try this" didn't work. He had a ball moving up.
>
> The event was great! Kudos to the FOT!
> I had a lot of fun chatting with the Slagles in particular and catching up
> from decades ago!
> Also great to see Dick Gilmartin since he left the Lime Rock area a few
> years ago.
> http://www.datsun.org/fairlady/DickGilmartin.htm
> And Jerry Barker, and Jim Reeves and ..... Wow!
> And of course the other usual suspects...
> Anyone see Ric Cline?
>
> Clark
> Clark W. Nicholls
> 1972 Stag (LE7931E), 1974 Spitfire (FM14571U)
> and 1 rusty GT6 needing new owner
> "Reality, it's not what you think."
>
>
> -----Original Message-----
>
> Race results:
> 1. Tony Garmey, 250K
> 2. Mike Munson, TR-6 (nice flames in the paint)
> 3. Randy Williams, TR-3
> 4. Quinn Derby, Spit
> 5. Leigh Derby, Spit
> 6. Mark Wheatley, TR-4
> 7. George Wright, TR-4
> 8. Tony Drews, TR-4
> 9. David Cizmas, TR-6
> 10. Jim Stouffer, TR-6
> 11. Bob Kramer, TR-4
> 12. Greg Blake, TR-3
> 13. Greg Kimbrough, Spit
> 14. Jason Ostrowski, GT-6
> 15. Sean Alexander, TR-4
> 16. William Newman, GT-6
> 17. John Hasty, TR-3
> 18. Bill Collings, Spit
> 19. Bob Lembke, "66 Triumph Mk 2 1147" - Spit I assume
> 20. Joe Hovey, Spit
> 21. Robert DeAnes, TR-4
> 22. Bill Hart, Devin TR
> 23. Susan Kahler, Spit
> 24. John Hagen, TR-4
> 25. Henry Frye in Bill Dentinger's TR-3 (what a nice thing for Bill to do!)
> 26. George Michael Harmut, Spit
> 27. Bob Wismer, TR-4
> 28. Joseph Downer, TR-6
> 29. John Nikas in Dennis Delap's TR-4 (what a nice thing for Dennis to do!)
> 30. John Fridirici, TR-3
> 31. Jerry Barker, Spitfire
>
> - Tony Drews
> _______________________________________________
> [email-masked]
>
> http://www.fot-racing.com
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe: http://autox.team.net/mailman/options/fot/[email-masked]
>
>
>

-- 
Chuck Arnold and Kathleen Kelley
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe: http://autox.team.net/mailman/options/fot/[email-masked]